FRITZ!App Fon Service - Knowledge Base

FRITZ!App Fon Service

Error message "FRITZ!OS of Your FRITZ!Box too Old" when starting FRITZ!App Fon

FRITZ!App Fon cannot be opened. When you start FRITZ!App Fon, the error message "FRITZ!OS of Your FRITZ!Box too Old. No suitable firmware found. Please check whether new firmware is available for your FRITZ!Box" is displayed.

Simply proceed as described below. After each measure, check whether the issue persists.

1 Installing the latest FRITZ!OS for the FRITZ!Box

Due to a change made by Apple, communication between FRITZ!App Fon and the FRITZ!Box is only possible with iOS 8.4.1 and higher if FRITZ!OS 6.10 or later is installed on the FRITZ!Box:

2 FRITZ!App Fon can no longer be used

If FRITZ!OS 6.10 or later is not available for your FRITZ!Box model, then you can no longer use FRITZ!App Fon. There will also be no further update available for FRITZ!Box models whose development has been discontinued that would allow the use of the app in iOS 8.4.1 or later with them. We have already made updates available for current FRITZ!Box models.